<?xml version="1.0"?>

<!DOCTYPE suppressions PUBLIC
    "-//Puppy Crawl//DTD Suppressions 1.1//EN"
    "http://www.puppycrawl.com/dtds/suppressions_1_1.dtd">

<suppressions>
  <!-- unit tests are full of magic numbers -->
  <suppress checks="MagicNumber|AvoidStarImport|OperatorWrap|MethodName|TypeName" files=".*[\\/]src[\\/]test[\\/]"/>
  <suppress checks=".*" files="engine/api/src/main/java/nz/org/riskscape/picocli/CommandLine.java"/>
  <suppress checks=".*" files=".*[\\/]src[\\/]main[\\/]java[\\/]org[\\/]geotools"/>
  <suppress checks=".*" files=".*[\\/]src[\\/]main[\\/]java[\\/]it[\\/]geosolutions"/>
  <suppress checks=".*" files=".*[\\/]src[\\/]main[\\/]java[\\/]picocli"/>
  <suppress checks="MethodLength" files=".*[\\/]src[\\/]main[\\/]java[\\/]nz[\\/]org[\\/]riskscape[\\/]engine[\\/]gt[\\/]FilterValidator"/>
  <suppress checks="ParameterNumber" files="Struct.java" />
</suppressions>
